Package org.mozilla.javascript.tools.debugger

## Class Dim.SourceInfo

- java.lang.Object
- - org.mozilla.javascript.tools.debugger.Dim.SourceInfo

- Enclosing class:
    Dim

      public static class Dim.SourceInfo
      extends java.lang.Object

  Class to store information about a script source.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `breakableLine​(int line)` | Returns whether the given line number can have a breakpoint set on it.
    `boolean` | `breakpoint​(int line)` | Returns whether there is a breakpoint set on the given line.
    `boolean` | `breakpoint​(int line, boolean value)` | Sets or clears the breakpoint flag for the given line.
    `Dim.FunctionSource` | `functionSource​(int i)` | Returns the FunctionSource object with the given index.
    `int` | `functionSourcesTop()` | Returns the number of FunctionSource objects stored in this object.
    `void` | `removeAllBreakpoints()` | Removes all breakpoints from the script.
    `java.lang.String` | `source()` | Returns the source text.
    `java.lang.String` | `url()` | Returns the script's origin URL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### source

          public java.lang.String source()

      Returns the source text.

    - #### url

          public java.lang.String url()

      Returns the script's origin URL.

    - #### functionSourcesTop

          public int functionSourcesTop()

      Returns the number of FunctionSource objects stored in this object.

    - #### functionSource

          public Dim.FunctionSource functionSource​(int i)

      Returns the FunctionSource object with the given index.

    - #### breakableLine

          public boolean breakableLine​(int line)

      Returns whether the given line number can have a breakpoint set on it.

    - #### breakpoint

          public boolean breakpoint​(int line)

      Returns whether there is a breakpoint set on the given line.

    - #### breakpoint

          public boolean breakpoint​(int line,
                                    boolean value)

      Sets or clears the breakpoint flag for the given line.

    - #### removeAllBreakpoints

          public void removeAllBreakpoints()

      Removes all breakpoints from the script.